LibreOffice: PageFootnoteInfo Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
PageFootnoteInfo Service Referencepublished

specifies the properties of the footnote area of a page or a page style. More...

## Public Attributes
long | FootnoteHeight
| contains the maximum height of the footnote section.
long | FootnoteSeparatorLineWidth
| contains the relative width of the footnote separator line.
long | FootnoteTopDistance
| contains the distance between the text and footnote section.
long | FootnoteBottomDistance
| contains the distance between the separator line and the footnote section.
short | FootnoteSeparatorLineWidthPercent
| contains the relative width of the footnote separator line.
com::sun::star::text::HorizontalAdjust | FootnoteSeparatorLineAdjust
| contains the adjustment of the footnote separator line.
short | FootnoteSeparatorLinePenWidth
| contains the width of the pen for the footnote separator line.

## Detailed Description

specifies the properties of the footnote area of a page or a page style.

## Member Data Documentation

## ◆ FootnoteBottomDistance

long FootnoteBottomDistance
| property

contains the distance between the separator line and the footnote section.

## ◆ FootnoteHeight

long FootnoteHeight
| property

contains the maximum height of the footnote section.

If 0, the maximum is the height of the page.

## ◆ FootnoteSeparatorLineAdjust

com::sun::star::text::HorizontalAdjust FootnoteSeparatorLineAdjust
| property

contains the adjustment of the footnote separator line.

## ◆ FootnoteSeparatorLinePenWidth

short FootnoteSeparatorLinePenWidth
| property

contains the width of the pen for the footnote separator line.

## ◆ FootnoteSeparatorLineWidth

long FootnoteSeparatorLineWidth
| property

contains the relative width of the footnote separator line.

## ◆ FootnoteSeparatorLineWidthPercent

short FootnoteSeparatorLineWidthPercent
| property

contains the relative width of the footnote separator line.

## ◆ FootnoteTopDistance

long FootnoteTopDistance
| property

contains the distance between the text and footnote section.

The documentation for this service was generated from the following file:

- com/sun/star/text/PageFootnoteInfo.idl